Get specify fulfillment under fulfillment order
GET https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:order_id/:fulfillment_id/fulfillments.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- fulfillment_id string requiredPackage idExample:
"21057401932826316666967110" - order_id string requiredOrder idExample:
"21057401932826316666967110"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillmentobject
Package detailsid stringParcel single idExample:"4005740193290131085320"tracking_url stringLogistics tracking URLExample:"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345"line_itemsobject[]
Package Productversion stringProduct versionExample:"1"vendor stringSupplierquantity integerSku quantityExample:1total_discount_setobject
Great price informationpresentment_moneyobject
Priceamount stringTotalExample:"0.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store priceamount stringTotalExample:"0.00"currency_code stringCurrencyExample:"USD"name stringSku titleExample:Trade namepropertiesobject[]
Additional informationname stringCustom attribute nameExample:" picture "type stringAttribute typeExample:"picture"urls arrayUrl listExample:["[\"https://www.myshopline.com\"]"]value stringCustom attribute valuesExample:"value"additional stringAdditional informationExample:" add-on information "variant_title stringProduct attribute valueExample:"Black / Bracelet / Bracelet""variant_id stringSku serial numberExample:"183423409238904944"fulfillable_quantity integerRemaining quantity can be shippedExample:1price_setobject
Item price informationpresentment_moneyobject
Priceamount stringTotalExample:"100.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store priceamount stringTotalExample:"100.00"currency_code stringCurrencyExample:"USD"title stringProduct titleExample:"Draft"grams doubleWeightExample:10.5product_id stringProduct serial numberExample:"343342675"total_discount stringDiscountExample:"0.00"fulfillment_status stringPackage trackingExample:"open"id stringidExample:"466157049"taxable booleanTax or not?Example:truetax_linesobject[]
Tax itemrate stringTax rateExample:"1.00"title stringTax titleExample:" Product tax "name stringTax nameExample:" item tax "price stringTaxExample:"10.00"price_setobject
Multi-currency information of taxpresentment_moneyobject
Priceamount stringTotalExample:"10.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store priceamount stringTotalExample:"10.00"currency_code stringCurrencyExample:"USD"fulfillment_quantity integerShipping quantityExample:1requires_shipping booleanShipping or notExample:trueprice stringItem priceExample:"100.00"sku stringProduct barcodeExample:"183423409238904944"name stringPackage nameExample:"#21057116277667827637773776.1"order_id stringOrder idExample:"21057116277667827637773776"created_at stringCreation timeExample:2022-10-21T08:56:20-04:00status stringParcel single statusExample:"success"tracking_numbers arrayThird party logistics single number listExample:["[\"UG198768340YP\"]"]tracking_urls arrayLogistics tracking url listExample:["[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"]tracking_number stringThird party tracking numberExample:"UG198768340YP"tracking_company stringLogistics company nameExample:"Other"shipment_status stringLogistics statusExample:"success"updated_at stringUpdate timeExample:2022-10-21T08:56:20-04:00
API Explorer
Debugger
Was this article helpful to you?